/**
 * 将本代码运行于：https://docs.influxdata.com/influxdb/v1.7/query_language/functions/#count
 * 可以获取所有函数和example的list；
 */
let h3 = $('h3:eq(0)');
let next;
let resultList = [];

while (true) {
    let id = h3.attr('id');
    let key = id.toUpperCase().replace(/-/g,'_');
    let name = `${key}()`;
    let desc = `${key}`;
    let example = '';
    let updateH3 = false;
    next = h3;
    while (true) {
        next = next.next();
        if (!next.length) {
            break;
        }
        let tagName = next[0].tagName;
        if (tagName === 'H3') {
            h3 = next;
            updateH3 = true;
            break;
        } else if (tagName === 'P' && next[0].firstChild.tagName === 'CODE' && next[0].childNodes[1].tagName === 'BR') {
            example += `${next[0].firstChild.textContent}, `;
        }
    }
    if (example) {
        example = example.substr(0, example.length - 2);
    }
    if (!updateH3) {
        break;
    }
    if (key.indexOf('ISSUES') > -1) {
        continue;
    }
    resultList.push({
        key,
        name,
        desc,
        type: 'function',
        example
    });
}
console.table(resultList);