/*
 * 公式函数配置
 * 可按照需要，根据对应的格式补充和修改
 */
import base from './base';
import aggregations from './aggregations';
import selectors from './selectors';
import transformations from './transformations';
import predictors from './predictors';
import technicalAnalysis from './technical_analysis';
import logic from './logic.js';
// import math from './math.js';
// import symbol from './symbol';

export default [
    {
        key: 'logic',
        name: _r('逻辑函数'),
        desc: _r('逻辑函数功能'),
        children: logic
    },
    {
        key: 'math',
        name: _r('数学函数'),
        desc: _r('数学函数功能'),
        children: base
    },
    {
        key: 'aggregations',
        name: _r('聚合函数'),
        desc: _r('聚合函数功能'),
        children: aggregations
    },
    {
        key: 'selectors',
        name: _r('筛选函数'),
        desc: _r('筛选函数功能'),
        children: selectors
    },
    {
        key: 'transformations',
        name: _r('转换函数'),
        desc: _r('转换函数功能'),
        children: transformations
    },
    {
        key: 'predictors',
        name: _r('预测函数'),
        desc: _r('预测函数功能'),
        children: predictors
    },
    {
        key: 'technicalAnalysis',
        name: _r('分析函数'),
        desc: _r('分析函数功能'),
        children: technicalAnalysis
    },
    // {
    //     key: 'string',
    //     name: '常用标点符号',
    //     desc: '常用标点符号',
    //     children: symbol
    // }
]