/**
 * 多语言编辑器
 */
import React from 'react'
import ReactDOM from 'react-dom'
import {Radio} from 'antd';
// import Editor from './components/'
import Editor from './components/editorMultiLang';

class TestEditor extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            lang: 'python'
        };
    }

    handleChange({value, raw, type}) {
        this.setState({});
    }

    handleError({error}) {
        this.setState({});
    }

    render() {
        return (
            <div>
                <Radio.Group
                    value={this.state.mode}
                    onChange={event => this.setState({ lang: event.target.value })}
                >
                    <Radio value="python">python</Radio>
                    <Radio value="go">Go</Radio>
                </Radio.Group>
                <div className="editor-wrapper">
                    <Editor
                        lang={this.state.lang}
                        weight={600}
                        height={300}
                        value={this.state.value}
                        defaultValue={this.state.value}
                        onChange={this.handleChange.bind(this)}
                        onError={this.handleError.bind(this)}
                    />
                </div>
            </div>
        );
    }
}

ReactDOM.render(
    <LocalTestEditor />,
    document.getElementById('app')
);