import React from 'react'
import _ from 'lodash'
import VariableEditor from '../components/VariableEditor'
import paramSchema from './paramSchema'
import data from './data'

const App = () => {

  const variableRef = React.useRef(null)

  const [value, setValue] = React.useState([{"text":""},{"type":"variable","children":[{"text":""}],"variable":{"path":"sceneConfig","type":"object","title":"场景"}},{"text":""}])
  const [varAndFun, setVarAndFun] = React.useState(null)
  const [expected, setExpected] = React.useState(null)
  const [ panelVisible, setPanelVisible ] = React.useState(false)
  // 获取公式值
  const onChange = (formula) => {
    setValue(formula)
    console.log(formula, 'formula')
  }

  const onSelectVarAndFun = (varAndFun) => {
    setVarAndFun(varAndFun)
  }

  const onExpected = (expected) => {
    setExpected(expected)
  }

  const openClose = () => {
    setPanelVisible(!panelVisible)
  }
  
  return <> 
    <VariableEditor ref={variableRef} style={{ marginLeft: '20px', marginTop: '20px', backgroundColor: '#E8E8E8', width: '400px', height: '30px', lineHeight: '30px' }} schema={paramSchema} value={value} panelVisible={panelVisible} onChange={onChange} notfocusedShow={true} attrExt={['SQL']} />

    <button onClick={openClose} >开启关闭</button>

    <div style={{marginTop: '300px'}}>输出值：{JSON.stringify(value)}</div>
    <div>
      变量：{JSON.stringify(varAndFun?.variable)}，
      变量位置：{JSON.stringify(varAndFun?.variableLocation)}，
      函数：{JSON.stringify(varAndFun?.functionText)}，
      函数位置：{JSON.stringify(varAndFun?.functionLocation)}
    </div>
    <div>
      输出公式：{JSON.stringify(expected?.expression)}
    </div>
    <div>
      预期值：{JSON.stringify(expected?.result)}
    </div>
    <div>
      预期类型：{JSON.stringify(expected?.type)}
    </div>
  </>
}

export default App;
